Package fr.gouv.vitam.common.server.application.configuration

# Class DefaultVitamApplicationConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

All Implemented Interfaces:
  `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

Direct Known Subclasses:
  `AccessExternalConfiguration`, `AccessInternalConfiguration`, `AntivirusConfiguration`, `CollectExternalConfiguration`, `DbConfigurationImpl`, `DefaultVitamIHMApplicationConfiguration`, `IngestExternalConfiguration`, `IngestInternalConfiguration`, `SchedulerConfiguration`, `ServerConfiguration`, `StorageConfiguration`, `StorageConfiguration`, `WorkerConfiguration`

public abstract class DefaultVitamApplicationConfiguration extends Object implements VitamApplicationConfiguration
Default minimal Vitam Application Configuration

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `IS_A_MANDATORY_PARAMETER`
  `protected String`
  `jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultVitamApplicationConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<BasicAuthModel>`
  `getAdminBasicAuth()`
  getAdminBasicAuth.
  `String`
  `getJettyConfig()`
  getter jettyConfig
  `boolean`
  `isAuthentication()`
  getter authentication
  `boolean`
  `isAuthorizeTrackTotalHits()`
  `boolean`
  `isEnableSession()`
  `boolean`
  `isEnableXsrFilter()`
  `boolean`
  `isTenantFilter()`
  getter tenantFilter
  `DefaultVitamApplicationConfiguration`
  `setAdminBasicAuth(List<BasicAuthModel> adminBasicAuth)`
  setAdminBasicAuth.
  `VitamApplicationConfiguration`
  `setAuthentication(boolean authentication)`
  `void`
  `setAuthorizeTrackTotalHits(boolean authorizeTrackTotalHits)`
  `void`
  `setEnableSession(boolean enableSession)`
  `void`
  `setEnableXsrFilter(boolean enableXsrFilter)`
  `VitamApplicationConfiguration`
  `setJettyConfig(String jettyConfig)`
  setter jettyConfig
  `VitamApplicationConfiguration`
  `setTenantFilter(boolean tenantFilter)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, getBaseUrl, setBaseUri, setBaseUrl`

- ## Field Details

  - ### IS_A_MANDATORY_PARAMETER

    protected static final String IS_A_MANDATORY_PARAMETER
    See Also:
      - Constant Field Values

  - ### jettyConfig

    protected String jettyConfig

- ## Constructor Details

  - ### DefaultVitamApplicationConfiguration

    public DefaultVitamApplicationConfiguration()

- ## Method Details

  - ### getJettyConfig

    public String getJettyConfig()
    Description copied from interface: `VitamApplicationConfigurationInterface`
    getter jettyConfig
    Specified by:
      `getJettyConfig` in interface `VitamApplicationConfigurationInterface`
    Returns:
      the Jetty config filename

  - ### setJettyConfig

    public VitamApplicationConfiguration setJettyConfig(String jettyConfig)
    Description copied from interface: `VitamApplicationConfigurationInterface`
    setter jettyConfig
    Specified by:
      `setJettyConfig` in interface `VitamApplicationConfigurationInterface`
    Parameters:
      `jettyConfig` - the jetty config to set
    Returns:
      this

  - ### isAuthentication

    public boolean isAuthentication()
    Description copied from interface: `VitamApplicationConfigurationInterface`
    getter authentication
    Specified by:
      `isAuthentication` in interface `VitamApplicationConfigurationInterface`
    Returns:
      the authentication

  - ### setAuthentication

    public VitamApplicationConfiguration setAuthentication(boolean authentication)
    Specified by:
      `setAuthentication` in interface `VitamApplicationConfigurationInterface`
    Parameters:
      `authentication` - the authentication to set
    Returns:
      this

  - ### isTenantFilter

    public boolean isTenantFilter()
    Description copied from interface: `VitamApplicationConfigurationInterface`
    getter tenantFilter
    Specified by:
      `isTenantFilter` in interface `VitamApplicationConfigurationInterface`
    Returns:
      the tenantFilter

  - ### setTenantFilter

    public VitamApplicationConfiguration setTenantFilter(boolean tenantFilter)
    Specified by:
      `setTenantFilter` in interface `VitamApplicationConfigurationInterface`
    Parameters:
      `tenantFilter` - the tenantFilter to set
    Returns:
      this

  - ### getAdminBasicAuth

    public List<BasicAuthModel> getAdminBasicAuth()
    getAdminBasicAuth.
    Returns:

  - ### setAdminBasicAuth

    public DefaultVitamApplicationConfiguration setAdminBasicAuth(List<BasicAuthModel> adminBasicAuth)
    setAdminBasicAuth.
    Parameters:
      `adminBasicAuth` -
    Returns:

  - ### isEnableXsrFilter

    public boolean isEnableXsrFilter()
    Specified by:
      `isEnableXsrFilter` in interface `VitamApplicationConfiguration`

  - ### setEnableXsrFilter

    public void setEnableXsrFilter(boolean enableXsrFilter)
    Specified by:
      `setEnableXsrFilter` in interface `VitamApplicationConfiguration`

  - ### isEnableSession

    public boolean isEnableSession()
    Specified by:
      `isEnableSession` in interface `VitamApplicationConfiguration`

  - ### setEnableSession

    public void setEnableSession(boolean enableSession)
    Specified by:
      `setEnableSession` in interface `VitamApplicationConfiguration`

  - ### isAuthorizeTrackTotalHits

    public boolean isAuthorizeTrackTotalHits()

  - ### setAuthorizeTrackTotalHits

    public void setAuthorizeTrackTotalHits(boolean authorizeTrackTotalHits)